<div class="table-page">
  <div class="table-create">
    <mat-form-field floatLabel="never">
      <input matInput placeholder="Search" (keyup)="doFilter()" [(ngModel)]="searchKey">
      <button mat-button matSuffix mat-icon-button aria-label="Clear" *ngIf="searchKey" (click)="onSearchClear()">
        <mat-icon>close</mat-icon>
      </button>
    </mat-form-field>

    <button mat-raised-button (click)="onCreate()">
      <mat-icon>add</mat-icon> Add city
    </button>

    <button mat-raised-button (click)="getAllCities()">
      <mat-icon>cached</mat-icon>
    </button>
  </div>


  <div class="table mat-elevation-z8">
    <mat-table [dataSource]="dataSource" matSort>

      <ng-container matColumnDef="number">
        <mat-header-cell *matHeaderCellDef class="tabel-cell__number"> № </mat-header-cell>
        <mat-cell *matCellDef="let city; let i = index" class="tabel-cell__number"> {{i + 1}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="city">
        <mat-header-cell *matHeaderCellDef> City </mat-header-cell>
        <mat-cell *matCellDef="let city"> {{city.city}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="lat">
        <mat-header-cell *matHeaderCellDef> Latitude </mat-header-cell>
        <mat-cell *matCellDef="let city"> {{city.location.lat}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="lon">
        <mat-header-cell *matHeaderCellDef> Longitude </mat-header-cell>
        <mat-cell *matCellDef="let city"> {{city.location.lon}} </mat-cell>
      </ng-container>

      <ng-container matColumnDef="actions">
        <mat-header-cell *matHeaderCellDef></mat-header-cell>
        <mat-cell *matCellDef="let city">
          <button mat-icon-button (click)='redirectToCenter(city.city, city.id)'>
            <mat-icon>launch</mat-icon>
          </button>
          <button mat-icon-button color="warn" (click)="deleteCity(city.id)">
            <mat-icon>delete_outline</mat-icon>
          </button>
        </mat-cell>
      </ng-container>



      <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
      <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    </mat-table>

    <mat-paginator [pageSizeOptions]="[5,10,15,25]" [pageSize]="5" showFirstLastButtons></mat-paginator>
  </div>
</div>